Bug 438807 - updates that require a reboot
updates that require a reboot
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-03-25 08:51 EDT by Thomas J. Baker
Modified: 2008-05-19 04:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-19 04:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2008-03-25 08:51:37 EDT
Pup displayed a special icon for updates that needed a reboot like the kernel or
hal and then at the end of the update, asked you if you wanted to reboot now or
later. The packagekit based updated does neither. Is this a new direction or
just something not yet completed?
Comment 1 Matthias Clasen 2008-03-25 11:49:02 EDT
packagekit does this too. But rawhide doesn't have the necessary metadata to
indicate need-reboot-ness of updates.
Comment 2 Thomas J. Baker 2008-03-25 16:08:49 EDT
It's been a few days since I installed the beta and have been pupless but I
could have sworn it was showing me and asking for reboots. I'll double check
with tomorrows rawhide update. (I have one machine that is always running
rawhide and I reinstall at each release.)
Comment 3 Thomas J. Baker 2008-03-26 08:41:04 EDT
I installed pirut/pup/yum-updatesd this morning and pup does show that the
kernel update requires a reboot. I don't know if pup has things hard coded or not. 
Comment 4 Richard Hughes 2008-03-27 13:21:43 EDT
Yes, it has a hardcoded list. When Fedora 9 is released, and the updates have
metadata then this should just work. If not, please reopen. Thanks.
Comment 5 Thomas J. Baker 2008-05-15 08:37:35 EDT
F9 is now installed. I got updates this morning about security and bug fix
releases but the kernel update did not later ask about a reboot.
Comment 6 Richard Hughes 2008-05-19 04:27:03 EDT
We get this metadata from bohdi, so it's up to the packager to decide if there
should be a reboot suggested or not.

Note You need to log in before you can comment on or make changes to this bug.